Bug Hunting Session
Bug 116499 - Unexpected page style inheritance
Summary: Unexpected page style inheritance
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Styles-Page
  Show dependency treegraph
 
Reported: 2018-03-19 15:15 UTC by Telesto
Modified: 2018-08-15 13:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (8.79 KB, application/vnd.oasis.opendocument.text)
2018-03-19 21:55 UTC, Telesto
Details
Switch to new page style by "Next" property (9.49 KB, application/vnd.oasis.opendocument.text)
2018-08-15 13:57 UTC, Regina Henschel
Details
Switch to new page style by "TextFlow" property of the first paragraph (9.59 KB, application/vnd.oasis.opendocument.text)
2018-08-15 13:58 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-03-19 15:15:29 UTC
Description:
Unexpected page style inheritance (in my opinion, or a noob talking)

Steps to Reproduce:
1. Launch Writer
2. Insert a new page incl. page break -> CTRL+ENTER
3. With the cursor at the second page: Format -> Page 
4. Organizer tab -> Next style -> Landscape
5. Switch to the first page.
6. Sidebar -> Styles Deck -> Page Styles -> Envelope.. -> Notice change of page

A working workflow
1. Launch Writer
2. Insert -> More Breaks -> Manual Page Break 
3. Select Page Break & Style Landscape -> OK
4. Go to page 1 -> Sidebar -> Styles Deck -> Page Styles -> Envelope. 

Actual Results:  
The envelope style will be applied to page 2

Expected Results:
Shouldn't happen (in my opinion, noob speaking)


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha0+
Build ID: e5bc7fa4e83b33fc3eee343e560a4f8cb91eacd6
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-14_23:37:38
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Dieter Praas 2018-03-19 17:52:20 UTC
I think I get different results:

> Steps to Reproduce:
> 1. Launch Writer
> 2. Insert a new page incl. page break -> CTRL+ENTER
> 3. With the cursor at the second page: Format -> Page 
> 4. Organizer tab -> Next style -> Landscape

Result:
Style of the first page: Default
Style of the second page: Landscape
=> O. K.


>A working workflow
>1. Launch Writer
>2. Insert -> More Breaks -> Manual Page Break 
>3. Select Page Break & Style Landscape -> OK


Result:
Style of the first page: Default
Style of the second page: Default
=> shouldn't be (but I think that's not the problem you describe)

Version: 6.1.0.0.alpha0+ (x64)
Build ID: d64ce643275e0b2b0dea9e532fc261391dc8793c
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-03-01_03:24:30
Locale: de-DE (de_DE); Calc: CL
Comment 2 Telesto 2018-03-19 18:48:55 UTC
(In reply to Dieter Praas from comment #1)
> I think I get different results:
> 
> > Steps to Reproduce:
> > 1. Launch Writer
> > 2. Insert a new page incl. page break -> CTRL+ENTER
> > 3. With the cursor at the second page: Format -> Page 
> > 4. Organizer tab -> Next style -> Landscape
> 
> Result:
> Style of the first page: Default
> Style of the second page: Landscape
> => O. K.

I agree, but what about the steps 
5. Cursor at the first page)
6. Sidebar -> Styles Deck -> Page Styles -> Envelope.. Page 2 also affected by this change 
 
> 
> >A working workflow
> >1. Launch Writer
> >2. Insert -> More Breaks -> Manual Page Break 
> >3. Select Page Break & Style Landscape -> OK
> 
> 
> Result:
> Style of the first page: Default
> Style of the second page: Default
> => shouldn't be (but I think that's not the problem you describe)

No repro for me..
Comment 3 Dieter Praas 2018-03-19 20:06:08 UTC
> I agree, but what about the steps 
> 5. Cursor at the first page)
> 6. Sidebar -> Styles Deck -> Page Styles -> Envelope.. Page 2 also affected
> by this change 

It wasn't clear to me, that you change the page style to Envelope

I can reproduce that (and the workaround).
Comment 4 Regina Henschel 2018-03-19 21:13:52 UTC
There exists two method for getting a change in page style:
1. Set the page style in the first paragraph of the page, that you want to get the new style. You find the setting in the paragraph properties in tab "Text Flow". If you will switch the page style while you are writing, do not use Ctrl+Enter, but use Insert > Manuel Break, which allows you to select the page style.
2. A page style has a field "Next style" in the tab "Organizer". That means, that one page uses the given style, but the next pages will use the style specified there. You can examine the page style "First Page" to see how it works.

A page style is always applied to all following pages until the style is changed by method 1 or 2.
Comment 5 Telesto 2018-03-19 21:55:23 UTC
Created attachment 140726 [details]
Example file

(In reply to Regina Henschel from comment #4)
Thanks for the answer. But i'm still a little confused (or I'm I missing something). It's not about 'creating' styles and the successive usage. But about replacing/using a different page style (for example changing 'default' to 'envelope')

I want to replace the page layout for the first page using a different page style, without affecting any other page(s). How do I achieve for the attached file?

[Note: I used CTRL+ENTER for the page break (or Insert -> Manual Page break -> Style None) and configured a page style afterward using the organizer tab the second page]. 

I can change the page layout of the first page without affecting the second page if the New style is set in Insert -> More Page breaks -> Manual Page break dialog
Comment 6 Regina Henschel 2018-08-15 13:56:32 UTC
For further discussion how to apply page styles use our support channels. Nevertheless I will attach two examples.
Comment 7 Regina Henschel 2018-08-15 13:57:25 UTC
Created attachment 144198 [details]
Switch to new page style by "Next" property
Comment 8 Regina Henschel 2018-08-15 13:58:11 UTC
Created attachment 144199 [details]
Switch to new page style by "TextFlow" property of the first paragraph